Your Moodle version

Themes: Responsive

theme_responsive
Maintained by Picture of Rheinard Korf Rheinard Korf
The 'responsive' theme is a base theme that is to be used as a started theme for other responsive themes. It is meant to be used from a 'mobile first' design approach, but adheres closely to the 3 column standard Moodle layout.
2k
70
Moodle 2.2, 2.3, 2.4

The 'responsive' theme is a base theme that is to be used as a started theme for other responsive themes. It is meant to be used from a 'mobile first' design approach, but adheres closely to the 3 column standard Moodle layout.

Like the 'base' theme, it will not show up in the theme selector. In fact, it aims to support the a large majority of the same styles defined in the 'base' theme, but there are obvious differences.

When creating your theme it is advisable that you start designing for a narrow mobile size first; then design for larger displays (980px is a good mark) and then for the designs in between.

I hope you find this useful and can help the movement towards more responsive layouts for Moodle courses.

Screenshots

Screenshot #0

Contributors

Picture of Rheinard Korf
Rheinard Korf (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Rheinard Korf
    Sat, Nov 24, 2012, 8:56 PM
    Would love for people to let me know if and how they can use this theme as a starter theme for their themes.
  • Picture of Andre Kruger
    Fri, Jan 11, 2013, 12:19 AM
    I will install your theme this weekend and give you some feedback.
  • Picture of Rheinard Korf
    Wed, Jan 23, 2013, 8:27 PM
    Hi Andre,
    How did you go with the theme?
  • Picture of shailesh jai
    Thu, Jan 24, 2013, 7:12 PM
    I am using moodle 2.4 and my moodle site show error Strict standards: Declaration of theme_responsive_core_renderer::login_info() should be compatible with that of core_renderer::login_info() in D:\wamp\www\moodle24\theme\responsive\renderers.php on line 128
  • Picture of AjnabiZ ...
    Wed, Jan 30, 2013, 9:46 PM
    Any update ?
  • Picture of Rheinard Korf
    Thu, Jan 31, 2013, 8:34 AM
    Hi shailesh and AjnabiZ,

    I will try to do the update for 2.4 on the weekend.
  • Picture of AjnabiZ ...
    Sun, Feb 3, 2013, 7:21 PM
    Thanks for the update Korf

    Can you give pointers on how to start working on this theme. Where should i start ?
  • Picture of AjnabiZ ...
    Sun, Feb 3, 2013, 7:24 PM
    Also, is there a way to contribute to your code ?
  • Picture of john felipe urrego mejia
    Wed, Mar 6, 2013, 9:25 AM
    Hi, please tell me how put in moodle 2.4, i know no showing but how test it?
    Tnks
  • Picture of Ivano Tamaggio
    Thu, Mar 7, 2013, 1:03 AM
    Hi, i've istalled Moodle 2.4.1.
    I've placed your theme in moode themes folder, but:

    Debug info: Plugin installed in wrong folder.
    Error code: detectedbrokenplugin
    Stack trace:
    line 387 of /lib/upgradelib.php: plugin_defective_exception thrown
    line 1544 of /lib/upgradelib.php: call to upgrade_plugins()
    line 349 of /admin/index.php: call to upgrade_noncore()

    I dont understand "Plugin installed in wrong folder": the folder it's correct!!!
    Could you help me?
    Thanks
Please login to post comments